package com.fs.his.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 医生价目对象 fs_doctor_price
 *
 * @author fs
 * @date 2023-07-31
 */
public class FsDoctorPrice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long priceId;

    /** 医生id */
    @Excel(name = "医生id")
    private Long doctorId;

    /** 类型 */
    @Excel(name = "类型")
    private Integer priceType;

    /** 价格 */
    @Excel(name = "价格")
    private BigDecimal price;

    /** 时长 分钟 */
    @Excel(name = "时长 分钟")
    private Long times;

    /** 状态1开启 0停用 */
    @Excel(name = "状态1开启 0停用")
    private Integer status;

    public void setPriceId(Long priceId)
    {
        this.priceId = priceId;
    }

    public Long getPriceId()
    {
        return priceId;
    }
    public void setDoctorId(Long doctorId)
    {
        this.doctorId = doctorId;
    }

    public Long getDoctorId()
    {
        return doctorId;
    }
    public void setPriceType(Integer priceType)
    {
        this.priceType = priceType;
    }

    public Integer getPriceType()
    {
        return priceType;
    }
    public void setPrice(BigDecimal price)
    {
        this.price = price;
    }

    public BigDecimal getPrice()
    {
        return price;
    }
    public void setTimes(Long times)
    {
        this.times = times;
    }

    public Long getTimes()
    {
        return times;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("priceId", getPriceId())
            .append("doctorId", getDoctorId())
            .append("priceType", getPriceType())
            .append("price", getPrice())
            .append("times", getTimes())
            .append("status", getStatus())
            .toString();
    }
}
